Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
New Contributor
Posts: 3
Registered: ‎06-24-2011
My Device: Developer - BlackBerry Torch 9800 & PlayBook
Accepted Solution

FB 4.5.1 - AIR 2.7 Validation Failed

Hi,

 

I am having an issue building my application with the new PlayBook 1.1 SDK in Flash Builder 4.5.1. Unlike this post, I have no problem building when I set <application xmlns="http://ns.adobe.com/air/application/2.6"> in my app.xml file. However, when I switch to 2.7, I get an error:

 

Error occurred while packaging the application:

Packaging failed:1
bar-app6316399818209918454.xml:
error 102: Invalid namespace http://ns.adobe.com/air/application/2.7

Error: AIR validation failed

 

Am I missing something? How can I resolve this issue?

 

Thanks in advance for your help!!

Contributor
Posts: 32
Registered: ‎01-03-2011
My Device: Not Specified

Re: FB 4.5.1 - AIR 2.7 Validation Failed

Hi,

  AIR SDK for Flash Builder 4.5.1 is 2.6. SO you cannot use 2.7 currently.

BlackBerry Development Advisor
Posts: 172
Registered: ‎10-25-2010
My Device: Not Specified

Re: FB 4.5.1 - AIR 2.7 Validation Failed

You can simply use AIR 2.6 without any issues. There isn't really much difference from an API perspective between 2.6 and 2.7.

If you really wanted to use 2.7 you will need to overlay the 2.7 AIR SDK over your 4.5.1 SDK.

Adobe has a KB article on how to do this. http://kb2.adobe.com/cps/495/cpsid_49532.html
New Contributor
Posts: 3
Registered: ‎06-24-2011
My Device: Developer - BlackBerry Torch 9800 & PlayBook

Re: FB 4.5.1 - AIR 2.7 Validation Failed

Thanks for the help!

 

With all the press about FB 4.5.1 and Air 2.7 coming out, particularly with the Air 2.7 iOS Packager, I was under the impression that FB 4.5.1 supported 2.7 out of the box. I don't need any of the new features in 2.7, I just thought it might run a little smoother.

 

Thanks again!

Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10

Re: FB 4.5.1 - AIR 2.7 Validation Failed

Overlaying the SDK AIR 2.7 over a copy of 4.5.1 worked fine for me.